# Generated by using Rcpp::compileAttributes() -> do not edit by hand
# Generator token: 10BE3573-1514-4C36-9D1C-5A225CD40393

#' @name import
#' @description import is the C++ code for importing iontof raw data
#' @title import is the C++ code for importing iontof raw data
#' @param rFilename CharacterVector
#' @param fType CharacterVector
#' @param imageSize int
#' @param upperMass int
#' @return imported binary raw data
import <- function(rFilename, fType, imageSize, upperMass) {
    .Call('tofsims_import', PACKAGE = 'tofsims', rFilename, fType, imageSize, upperMass)
}

calibrate_ITZIP <- function(uncalibrate, upperMass) {
    .Call('tofsims_calibrate_ITZIP', PACKAGE = 'tofsims', uncalibrate, upperMass)
}

read_BIF <- function(file, instrument) {
    .Call('tofsims_read_BIF', PACKAGE = 'tofsims', file, instrument)
}

#' @name EigenDecompose
#' @title EigenDecompose for the MNF analysis
#' @description EigenDecompose for the MNF analysis
#' @param A NumericMatrix
#' @param B NumericMatric
#' @param startIndex int
#' @param endIndex int
#' @return eigval eigvec mA mB
EigenDecompose <- function(A, B, startIndex, endIndex) {
    .Call('tofsims_EigenDecompose', PACKAGE = 'tofsims', A, B, startIndex, endIndex)
}

#' @name nnMean
#' @title nnMean is C++ code for calculating nearest neighbour means in a 
#' 2D matrix
#' @description nnMean is C++ code for calculating nearest neighbour means in a 
#' 2D matrix
#' @param y NumericVector
#' @param nrows int
#' @param ncols int
#' @return eY 
nnMean <- function(y, nrows, ncols) {
    .Call('tofsims_nnMean', PACKAGE = 'tofsims', y, nrows, ncols)
}

readRawPhiC <- function(rFilename, rSlope, rIntercept, rImagePixels) {
    .Call('tofsims_readRawPhiC', PACKAGE = 'tofsims', rFilename, rSlope, rIntercept, rImagePixels)
}

#' @name ctable
#' @title ctable is a C++ implementation to make contingency tables
#' @description ctable is a C++ implementation to make contingency tables
#' @param vect NumericVector
#' @return vars freqs
cTable <- function(vect) {
    .Call('tofsims_cTable', PACKAGE = 'tofsims', vect)
}

cParIndicesSearch <- function(rawVector, mzs, mzsOrder, startOrEnd) {
    .Call('tofsims_cParIndicesSearch', PACKAGE = 'tofsims', rawVector, mzs, mzsOrder, startOrEnd)
}

